//
//  JCMessageModel.m
//  JCMessageQQ
//
//  Created by QB on 16/5/9.
//  Copyright © 2016年 JC. All rights reserved.
//

#import "JCMessageModel.h"

@implementation JCMessageModel

- (instancetype)initWithNSDictionary:(NSDictionary *)dic {
    
    self = [super init];
    if (self) {
        [self setValuesForKeysWithDictionary:dic];
    }
    
    return self;
    
}

+ (instancetype)jcMessageModelWithNSDictionary:(NSDictionary *)dic {
    
    return [[self alloc] initWithNSDictionary:dic];
}

+ (NSArray *)jcMessageList {
    
   NSString *paths = [[NSBundle mainBundle] pathForResource:@"messages" ofType:@"plist"];
    
    NSArray *messageArray = [NSArray arrayWithContentsOfFile:paths];
    NSMutableArray *newMessageArray = [NSMutableArray arrayWithCapacity:messageArray.count];
    
    for (NSDictionary *tempDic in messageArray) {
        JCMessageModel *model = [JCMessageModel jcMessageModelWithNSDictionary:tempDic];
//        if (model.time isEqualToString:@"") {
//            <#statements#>
//        }
        [newMessageArray addObject:model];
    }
    
    return newMessageArray;
    
}




@end
