//
//  JCMessageModel.h
//  JCMessageQQ
//
//  Created by QB on 16/5/9.
//  Copyright © 2016年 JC. All rights reserved.
//

#import <Foundation/Foundation.h>


typedef enum {
    JCMessageModelTypeSelf,
    JCMessageModelTypeOther
}JCMessageModelType;

@interface JCMessageModel : NSObject

/// 正文
@property (nonatomic, copy) NSString *text;
///时间
@property (nonatomic, copy) NSString *time;
///是否为自己
@property (nonatomic, assign) JCMessageModelType type;

///是否 隐藏时间

@property (nonatomic, assign, getter=isHiddenTime) BOOL hiddenTime;


- (instancetype)initWithNSDictionary:(NSDictionary *)dic;

+ (instancetype)jcMessageModelWithNSDictionary:(NSDictionary *)dic;

+ (NSArray *)jcMessageList;


@end
